# Generated by Django 3.2.5 on 2021-07-29 07:49

import app.models.document
import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("app", "0012_remove_course_content"),
    ]

    operations = [
        migrations.CreateModel(
            name="FlatPage",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        help_text="The name of the flat page, used in the query. ",
                        max_length=255,
                        unique=True,
                    ),
                ),
                (
                    "url",
                    models.CharField(
                        help_text="The url where this flat page will be displayed. ",
                        max_length=255,
                        unique=True,
                    ),
                ),
                (
                    "description",
                    models.TextField(
                        help_text="The description of this flat page. The description is only used in the backend for extra information and filtering options. "
                    ),
                ),
                (
                    "content",
                    models.TextField(help_text="The content of the flat page. "),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.AddField(
            model_name="user",
            name="date_accepted_agreements",
            field=models.DateTimeField(
                blank=True,
                help_text="When was the last time the user agreed to our Terms of Service and Privacy Policy?",
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="document",
            name="file",
            field=models.FileField(
                help_text="The path to the file.",
                max_length=255,
                upload_to=app.models.document.get_document_path,
                validators=[
                    django.core.validators.FileExtensionValidator(
                        allowed_extensions=[
                            "image/*",
                            "application/pdf",
                            "text/*",
                            "application/zip",
                            "application/vnd.ms-powerpoint",
                            "application/vnd.openxmlformats-officedocument.presentationml.presentation",
                            "application/msword",
                            "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
                            "application/vnd.ms-excel",
                            "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
                            "application/vnd.oasis.opendocument.presentation",
                            "application/vnd.oasis.opendocument.spreadsheet",
                            "application/vnd.oasis.opendocument.text",
                            "application/x-latex",
                        ]
                    )
                ],
            ),
        ),
    ]
